%        (  I    )
% R= M * (       )
%        (  T  I )
%
function R=trans_mat_mult(M,T);
dim=size(M,1);
[n,m]=size(T);
R=sparse(dim,dim);
mp1=m+1;
R(:,1:m)=M(:,1:m)+M(:,mp1:dim)*T;
R(:,mp1:dim)=M(:,mp1:dim);